package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag734;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT732Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT734Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag20Creator extends AbsTagCreate {

     private MT734Creator mt734Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt734Creator= (MT734Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt734Creator.getSendersTRN();
        mt734Creator.set("20", tag20Value);
    }
}
